/**
 * InfoViewtabexppanel 部件模型
 *
 * @export
 * @class InfoViewtabexppanelModel
 */
export default class InfoViewtabexppanelModel {

  /**
    * 获取数据项集合
    *
    * @returns {any[]}
    * @memberof InfoViewtabexppanelModel
    */
  public getDataItems(): any[] {
    return [
      {
        name: 'importsequencenumber',
      },
      {
        name: 'createdate',
      },
      {
        name: 'createman',
      },
      {
        name: 'timezoneruleversionnumber',
      },
      {
        name: 'customerviewable',
      },
      {
        name: 'expirationdate',
      },
      {
        name: 'exchangerate',
      },
      {
        name: 'employeecontactname',
      },
      {
        name: 'updatedate',
      },
      {
        name: 'description',
      },
      {
        name: 'salesliteraturename',
      },
      {
        name: 'processid',
      },
      {
        name: 'stageid',
      },
      {
        name: 'updateman',
      },
      {
        name: 'entityimage',
      },
      {
        name: 'entityimage_url',
      },
      {
        name: 'hasattachments',
      },
      {
        name: 'overriddencreatedon',
      },
      {
        name: 'entityimage_timestamp',
      },
      {
        name: 'employeecontactid',
      },
      {
        name: 'keywords',
      },
      {
        name: 'versionnumber',
      },
      {
        name: 'utcconversiontimezonecode',
      },
      {
        name: 'literaturetypecode',
      },
      {
        name: 'salesliterature',
        prop: 'salesliteratureid',
      },
      {
        name: 'entityimageid',
      },
      {
        name: 'traversedpath',
      },
      {
        name: 'transactioncurrencyid',
      },
      {
        name: 'subjectid',
      },
      {
        name: 'transactioncurrencyname',
      },
      {
        name: 'subjectname',
      },
    ]
  }


}